High-Level Data Reduction Library: hdrl_overlp

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Functions
hdrl_overlp
Catalogue

Deblend overlapping images. More...

Collaboration diagram for hdrl_overlp:

## Functions
cpl_error_code | hdrl_overlp (ap_t *ap, double parm[IMNUM][NPAR], cpl_size *nbit, double xbar, double ybar, double total, cpl_size npix, double tmax)
| Deblend overlapping images.
cpl_error_code | hdrl_overlp_2orMore (ap_t *ap, double parm[IMNUM][NPAR], cpl_size *nbit, double xbar, double ybar, double total, cpl_size npix, double curthr_prev, double nexthr_prev, double lasthr_prev)
| Deblend overlapping images 2 or more. If you know that exist more than 1 (come to the previous version).

## Detailed Description

Deblend overlapping images.

## Function Documentation

## ◆ hdrl_overlp()

cpl_error_code hdrl_overlp | ( | ap_t * | ap,
|  | double | parm[IMNUM][NPAR],
|  | cpl_size * | nbit,
|  | double | xbar,
|  | double | ybar,
|  | double | total,
|  | cpl_size | npix,
|  | double | tmax
| ) |  |

Deblend overlapping images.

Parameters

  ap | The current ap structure
  parm | The parameter array for the deblended objects
  nbit | The output number of objects found in the deblended object
  xbar | The X position of the input object
  ybar | The Y position of the input object
  total | The total flux of the input object
  npix | The number of pixels in the original object
  tmax | The peak flux of the original object

Returns
  CPL_ERROR_NONE if all went OK (Currently this is the only value).

Description: An array of pixels that are believed to be part of a single large object are analyzed with successively higher thresholds to see if they resolve into multiple objects.

## ◆ hdrl_overlp_2orMore()

cpl_error_code hdrl_overlp_2orMore | ( | ap_t * | ap,
|  | double | parm[IMNUM][NPAR],
|  | cpl_size * | nbit,
|  | double | xbar,
|  | double | ybar,
|  | double | total,
|  | cpl_size | npix,
|  | double | curthr_prev,
|  | double | nexthr_prev,
|  | double | lasthr_prev
| ) |  |

Deblend overlapping images 2 or more. If you know that exist more than 1 (come to the previous version).

Parameters

  ap | The current ap structure
  parm | The parameter array for the deblended objects
  nbit | The output number of objects found in the deblended object
  xbar | The X position of the input object
  ybar | The Y position of the input object
  total | The total flux of the input object
  npix | The number of pixels in the original object
  curthr_prev | Threshold
  nexthr_prev | Threshold
  lasthr_prev | Threshold

Returns
  CPL_ERROR_NONE if all went OK (Currently this is the only value).

Description: An array of pixels that are believed to be part of a single large object are analyzed with successively higher thresholds to see if they resolve into multiple objects.